# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['pipen_report']

package_data = \
{'': ['*'],
 'pipen_report': ['frontend/*',
                  'frontend/public/*',
                  'frontend/public/assets/*',
                  'frontend/src/*',
                  'frontend/src/components/*',
                  'frontend/src/components/DataTable/*',
                  'frontend/src/components/Image/*',
                  'frontend/src/components/PageNavButton/*',
                  'frontend/src/entries/*',
                  'frontend/src/layouts/*',
                  'frontend/src/pages/*']}

install_requires = \
['cmdy', 'json5>=0.9.6,<0.10.0', 'pipen>=0.2,<0.3', 'xqute']

entry_points = \
{'pipen': ['report = pipen_report:PipenReport'],
 'pipen_cli': ['cli-report = pipen_report:PipenCliReport']}

setup_kwargs = {
    'name': 'pipen-report',
    'version': '0.3.0',
    'description': 'Report generation system for pipen',
    'long_description': '# pipen-report\n\nReport generation system for pipen\n\n## Installation\n\n```\n❯ pip install -U pipen-report\n```\n\nIf you have a previous installation, you may also want to upgrade the frontend:\n```shell\n❯ cd $(pip show pipen-report | grep Location | cut -d" " -f2)/pipen_report/frontend\n❯ npm update\n❯ npm run postinstall\n```\n\n## Enabling/Disabling the plugin\n\nThe plugin is registered via entrypoints. It\'s by default enabled. To disable it: `plugins=[..., "no:report"]`, or uninstall this plugin.\n\n## Example\n\nSee the pipeline in `example/`, and the reports generated by the pipeline:\n\nhttps://pwwang.github.io/pipen-report/example/output/REPORTS\n\n\n## Documentation\n\nSee: https://pwwang.github.io/pipen-report\n',
    'author': 'pwwang',
    'author_email': 'pwwang@pwwang.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/pwwang/pipen-report',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.7.1,<4.0.0',
}


setup(**setup_kwargs)
